> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Pay DARF (v1)

> Generate a DARF payment using the v1 endpoint



## OpenAPI

````yaml api-reference/banking-api/openapi.json POST /banking/cashout/darf/pay
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashout/darf/pay:
    post:
      tags:
        - cashout
      summary: Pay DARF
      description: Generate a pay DARF
      operationId: >-
        TrioFoundationWeb.Banking.Cashout.TaxManual.TaxManualController.generate_v1
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Generate_Darf_V1'
        description: DARF payload
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Generate_V1_Boleto_Response'
          description: Created
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
      security:
        - {}
        - basic:
            - Base64encode(<client_id>:<client_secret>)
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    Generate_Darf_V1:
      description: Body params to generate a DARF V1 payment
      example:
        check_id: 4b760495-cb55-4043-95e8-0cff5776b013
        description: Magna dolor velit duis velit ad elit anim laborum aliqua.
        external_id: 10760495-cb95-4023-96e9-0cff5776b011
        virtual_account_id: 1a760495-cb95-4023-96e8-0cff5776b010
      properties:
        amount:
          description: Amount in cents
          type: integer
        check_id:
          $ref: '#/components/schemas/UUID'
        description:
          description: Description for the utility
          type: string
        external_id:
          description: External ID for reference
          type: string
        virtual_account_id:
          $ref: '#/components/schemas/UUID'
      required:
        - check_id
        - virtual_account_id
      title: Generate_Darf_V1
      type: object
    Generate_V1_Boleto_Response:
      description: Response schema for a single boleto V1 generation
      example:
        data:
          payment_document_id: 1a760495-cb95-4023-96e8-0cff5776b010
      properties:
        data:
          properties:
            payment_document_id:
              $ref: '#/components/schemas/UUID'
          type: object
      title: Generate_V1_Boleto_Response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http

````